

Fix some warnings from the new code-patching stuff.


 arch/i386/kernel/module.c |    2 +-
 arch/i386/kernel/setup.c  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/setup.c~warning-fixes-01 arch/i386/kernel/setup.c
--- 25/arch/i386/kernel/setup.c~warning-fixes-01	2003-04-22 03:17:44.000000000 -0700
+++ 25-akpm/arch/i386/kernel/setup.c	2003-04-22 03:17:44.000000000 -0700
@@ -807,7 +807,7 @@ void __init apply_alternatives(void *sta
 	struct alt_instr *a; 
 	int diff, i, k;
 
-	for (a = start; a < end; 
+	for (a = start; a < (struct alt_instr *)end; 
 	     a = (void *)ALIGN((unsigned long)(a + 1) + a->instrlen, 4)) { 
 		if (!boot_cpu_has(a->cpuid))
 			continue;
diff -puN arch/i386/kernel/module.c~warning-fixes-01 arch/i386/kernel/module.c
--- 25/arch/i386/kernel/module.c~warning-fixes-01	2003-04-22 03:17:44.000000000 -0700
+++ 25-akpm/arch/i386/kernel/module.c	2003-04-22 03:17:44.000000000 -0700
@@ -110,7 +110,7 @@ int module_finalize(const Elf_Ehdr *hdr,
 		    const Elf_Shdr *sechdrs,
 		    struct module *me)
 {
-	Elf_Shdr *s;
+	const Elf_Shdr *s;
 	char *secstrings = (void *)hdr + sechdrs[hdr->e_shstrndx].sh_offset;
 
 	/* look for .altinstructions to patch */ 

_
